### Function

# Geglscratch_free

#### Declaration [src]

    void
    gegl_scratch_free (
      gpointer ptr
    )

#### Description [src]

Frees the memory pointed to by `ptr`.

The memory must have been allocated using one of the scratch-memory allocation functions.

This function is not directly available to language bindings.

#### Parameters

`ptr`

  Type: `gpointer`

  The memory to free.

  The argument can be `NULL`.
  The data is owned by the caller of the function.